# collada.geometry.BoundGeometry

class collada.geometry.BoundGeometry(geom, matrix, materialnodebysymbol)

  A geometry bound to a transform matrix and material mapping. This gets created when a geometry is instantiated in a scene. Do not create this manually.

  __init__(geom, matrix, materialnodebysymbol)

  Methods

  `__init__`(geom, matrix, materialnodebysymbol) |
  `primitives`() | Returns an iterator that iterates through the primitives in the bound geometry.

  Attributes

  `matrix` | The matrix bound to
  `materialnodebysymbol` | Dictionary with the material symbols inside the primitive assigned to `collada.scene.MaterialNode` defined in the scene
  `original` | The original `collada.geometry.Geometry` object this is bound to